RUDOF(1)

NAME
rudof data - Show information about RDF data

SYNOPSIS
rudof data [OPTIONS] [DATA]...

DESCRIPTION
Show information about RDF data

  Arguments:

    [DATA]...

OPTIONS

-p, --prefix <PREFIX-SOURCE>

    Prefix source (can be a string, a path or an URL)

-t, --data-format <FORMAT>

    RDF Data format

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

-b, --base <IRI>

    Base IRI

--reader-mode <MODE>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-r, --result-format <FORMAT>

    Ouput result format

    [default: turtle] [possible values: turtle, ntriples, jsonld, rdfxml, trig, n3, nquads, compact, json, plantuml, svg, png]

-c, --config-file <FILE>

    Config file name

-o, --output-file <FILE>

    Output file name, default = terminal

--force-overwrite

    Force overwrite to output file if it already exists

--backend <BACKEND>

    Choose which RDF data backend to load the input into.

    - `memory` (default): parse into an in-process oxrdf::Graph. - `qlever`: launch a local QLever Docker container and index the input on disk. Requires the binary to be built with the `qlever` feature. - `endpoint=<URL_OR_NAME>`: query an external SPARQL endpoint by URL or by the name of an endpoint registered in the TOML config. See also the `--endpoint` / `-e` shortcut.

-e, --endpoint <URL_OR_NAME>

    Shortcut for `--backend endpoint=<URL_OR_NAME>`.

    Accepts either a full SPARQL endpoint URL or the name of an endpoint registered in the TOML config. Mutually exclusive with `--backend`.

-h, --help

    Print help (see a summary with '-h')